Subject: Re: ipv6: oops in datagram.c line 260

From: Steffen Klassert <[email-masked]>
Date: Wed, 7 Jan 2015 08:22:54 +0100

On Tue, Jan 06, 2015 at 05:01:13PM +0100, Hannes Frederic Sowa wrote:
> 
> xfrm6_output_finish unconditionally resets skb->protocol so we try to
> dispatch to the IPv6 handler, even though tcp just sends an IPv4 packet.

Maybe we better dispatch based on sk->sk_family, this should give
always the right address family of the socket.